Support » Plugin: Socialize » [Plugin: Socialize] error on page update

  • Resolved Paul de Wouters

    (@pauldewouters)


    I unchecked all the options on a page, and when I updated it threw these errors:

    Warning: Invalid argument supplied for foreach() in .../wp-content/plugins/socialize/admin/socialize-admin.php on line 88
    
    Warning: Invalid argument supplied for foreach() in .../wp-content/plugins/socialize/admin/socialize-admin.php on line 88
    
    Warning: Cannot modify header information - headers already sent by (output started at .../wp-content/plugins/socialize/admin/socialize-admin.php:88) in /home/sidera/public_html/pleasehiremeautomattic.com/wp-includes/pluggable.php on line 934

    http://wordpress.org/extend/plugins/socialize/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Jon Bishop

    (@jonbishop)

    Thanks Paul I’ll look into this.

    Hi jonbishop!
    Did you have chance to look into this problem?

    Getting same error, default wordpress theme, barely any plugins, wordpress 3.2.1. Would love to solve this, it scares the client..

    The post-edit hook being used isn’t properly validating that a value is being passed before trying to read it as an array. Here’s a fix. Open the file “/wp-content/socialize/admin/socialize-admin.php” and find lines 88 to 95, which should be:

    foreach($_POST['socialize_buttons'] as $button){
    			if(($button > 0)){
    				array_push($socializemetaarray, $button);
    			} else{
    				//$hs_settings['socialize_buttons'][$formid] = htmlentities(stripslashes($form));
    			}
    			$formid++;
    		}

    We’re going to add a check to it to ensure that the variable is being passed first, so replace it with this:

    if(isset($_POST['socialize_buttons'])) {
    			foreach($_POST['socialize_buttons'] as $button){
    				if(($button > 0)){
    					array_push($socializemetaarray, $button);
    				} else{
    					//$hs_settings['socialize_buttons'][$formid] = htmlentities(stripslashes($form));
    				}
    				$formid++;
    			}
    		}

    Plugin Author Jon Bishop

    (@jonbishop)

    I have a new version very close to being finished. Development stalled temporarily because of a potential change in ownership but I’ve ultimately decided to continue developing the plugin.

    I’m now actively developing the plugin on github so anyone can follow my progress. https://github.com/jonbish/socialize

    Once the next version is tested and complete I will move the stable version to WordPress.org

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Socialize] error on page update’ is closed to new replies.